/* styles.css */

.body {
    background-color: #f4f4f4;
}

.title {
    color: #007BFF;
}

/* Estilo para el contenedor del título superpuesto */
.background-container {
    position: relative;
}

/* Estilo para la imagen de fondo */
.background-image {
    background-image: url('Imagenes/aireacondicionado3.jpg');
    background-size: cover;
    background-position:center;
    height: 60vh;
    /* Ajusta la altura según tus necesidades */
}

/* Estilo para el título superpuesto */
.overlay-title {
    position: absolute;
    top: 55%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: rgba(0, 0, 0, 0.5);
    /* Fondo semitransparente */
    color: white;
    padding: 20px;
    text-align: center;
    border-radius: 10px;
}

/* Estilo para el título superpuesto */
.overlay-subtitle {
    position: absolute;
    top: 80%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: rgba(37, 37, 37, 0.5);
    /* Fondo semitransparente */
    color: white;
    padding: 20px;
    text-align: center;
    border-radius: 10px;
}

.card {
    margin: 10px;
}

/* CSS personalizado */
.floating-button {
    position: relative;
    background-color: transparent;
    width: 60px;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.floating-button .btn-floating {
    font-size: 24px;
    color: #007BFF;
    text-decoration: none;
    display: block;
    text-align: center;
    transform: translateY(0);
    transition: transform 0.3s;
}

.floating-button:hover .btn-floating {
    transform: translateY(-40px);
}

.social-icons {
    display: flex;
    flex-direction: column;
    gap: 10px;
    position: absolute;
    top: -10px;
    right: 0;
    transform: scaleY(0);
    transition: transform 0.3s;
}

.floating-button:hover .social-icons {
    transform: scaleY(1);
}

/* Estilos para la separación con degradado de color celeste */
#contacto {
    border-radius: 10px;
}

/* Estilos para las tarjetas */
.cardQuienesSomos {
    transition: transform 0.2s ease-in-out;
}

/* Aplicar la animación al acercar el mouse a la tarjeta */
.cardQuienesSomos:hover {
    transform: scale(1.05);
}

.fade-in {
    animation: fadeIn 1s;
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.social-buttons {
    display: flex;
    justify-content: space-around;
    margin: 20px;
}

.social-button {
    width: 50px;
    height: 50px;
    background-color: #3498db;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    font-size: 20px;
    transition: background-color 0.3s ease;
    cursor: pointer;
}

.social-button:hover {
    background-color: #2980b9;
}

.social-button i {
    transition: transform 0.3s ease;
}

.social-button:hover i {
    transform: scale(1.2);
}

.whatsapp {
    background-color: #080808;
}

.whatsapp:hover {
    background-color: rgb(140, 155, 165);
}

.facebook {
    background-color: #080808;
}

.facebook:hover {
    background-color: rgb(140, 155, 165);
}

.instagram {
    background-color: #080808;
}

.instagram:hover {
    background-color: rgb(140, 155, 165);
}

.cardQuienesSomos {
    border: 1px solid #2980b9;
    border-radius: 10px;
    padding: 15px;
    margin-bottom: 10px;
    margin-top: 20px;

}

.heightCard {
    height: 100%;
}

@media only screen and (max-width:525px) {
    .mision {
        margin-top: 20px;
    }

}

.list {
    list-style-type: none;
    ;
}

.colorCard {
    background-color: aliceblue;
}

.galeria {
    border-radius: 10px;
}


.cardServicios {
    border: 1px solid #2980b9;
    border-radius: 10px;
    padding: 15px;
    margin-bottom: 10px;
    margin-top: 20px;

}

footer {
    background: linear-gradient(45deg, #00bcd4, #4fb0dd, #5baaeb, #5baaeb);
    color: white;
    text-align: center;
    padding: 20px;
    position: relative;
}

#boton-flotante {
    position: fixed;
    bottom: 40px;
    right: 40px;
    background-color: #03a9f4;
    color: white;
    border: none;
    padding: 20px;
    border-radius: 50%;
    cursor: pointer;
    font-size: 18px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: transform 0.3s ease-in-out;
}

#boton-flotante:hover {
    transform: scale(1.1);
}

#redes-sociales {
    opacity: 0;
    display: none;
    position: fixed;
    bottom: 110px;
    right: 20px;
    background-color: #03a9f4;
    color: white;
    border: none;
    padding: 15px;
    border-radius: 10px;
    transition: opacity 0.5s ease-in-out, height 0.5s ease-in-out;
}

#redes-sociales a {
    display: block;
    margin-bottom: 10px;
    color: white;
    text-decoration: none;
}

#redes-sociales.mostrar {
    opacity: 1;
    display: block;
    height: 120px;
    /* Ajusta la altura según sea necesario */
}

.lista {
    list-style-type: none;
    font-size: 18px;
    font-weight: bold;
}

.LogoTitle {
    text-align: left;
    margin-left: 20px;
    margin-bottom: 10px;
}

.mgSection {
    margin-bottom: 100px;
}